/****************************************************************************************************

		CommandIdRanges.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	2/4/2005

****************************************************************************************************/

#ifndef __CommandIdRanges__
#define __CommandIdRanges__


//This file can be included in resources...

//	Command IDs (action numbers or tool ids) MUST be unique
//	Third party developpers MUST ask that we reserve some action numbers for them.
//	For framework defines, see MCCommandIdRanges.h/MFCommandIdRanges.h


//See 3DPublicDefs.h
#define kCarraraCmdIDBase			 8000
#define kCarraraCmdIDLast			 9999

#define kSplineModelerCmdIDBase		10000		
#define kSplineModelerCmdIDLast		11999

#define kA3DUpdaterCmdIDBase		12000
#define kA3DUpdaterCmdIDLast		12999

#define kBasicCompsCmdIDBase		13000
#define kBasicCompsCmdIDLast		13999

#define kVectorExportCmdIDBase		14000
#define kVectorExportCmdIDLast		14999

#define kVertexPrimitiveCmdIDBase	15000
#define kVertexPrimitiveCmdIDLast	15999

#define kShadingRoomCmdIDBase		16000
#define kShadingRoomCmdIDLast		17999

//See I3DEditorHostPartDefs.h
#define k3DEditorHostCmdIDBase		18000
#define k3DEditorHostCmdIDLast		19999

#define kVertexModelerCmdIDBase		20000
#define kVertexModelerCmdIDLast		22999

//Ids for the 3dview extension
#define k3DViewCmdIDBase			23000
#define k3DViewCmdIDLast			24999

//Public Ids for the 3dview (defined in 3DViewPublicDefs.h)
#define k3DViewPublicCmdIDBase		25000
#define k3DViewPublicCmdIDLast		25999

#define kVetExporterCmdIDBase		26000
#define kVetExporterCmdIDLast		26999

#define kAnythingGlowsCmdIDBase		27000
#define kAnythingGlowsCmdIDLast		27999

#define kHierarchyCmdIDBase			28000
#define kHierarchyCmdIDLast			28999

#define kCR2ImporterCmdIDBase		29000
#define kCR2ImporterCmdIDLast		29499

#define kPythonCmdIDBase			29500
#define kPythonCmdIDLast			29999

#define kHairCmdIDBase				30000
#define kHairCmdIDLast				30999

#define kPuppeteerCmdIDBase			40000
#define kPuppeteerCmdIDLast			40499

#define k3DViewVMCmdIDBase			45000
#define k3DViewVMCmdIDLast			45999

#define k3DPaintCmdIDBase			50000
#define k3DPaintCmdIDLast			50999

#define kPhysicsCmdIDBase			60000
#define kPhysicsCmdIDLast			60999

#define kGoZCmdIDBase				61000
#define kGoZCmdIDLast				61999

//#define kCmdIDBase		
//#define kCmdIDLast		



//Command ids for all the sdk samples
#define kSDKCmdIDBase				400000
#define kSDKCmdIDLast				499999


//Command ids for third parties start at kThirdPartiesCmdIDBase (registered in Docs)
#define kThirdPartiesCmdIDBase		500000


#endif
